Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159864 - CAN-2005-1766 RealPlayer heap overflow
Summary: CAN-2005-1766 RealPlayer heap overflow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: realplayer
Version: 4.0
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard: public=20050623,impact=critical,sourc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-08 18:10 UTC by Josh Bressers
Modified: 2013-03-13 04:48 UTC (History)
2 users (show)

Fixed In Version: RHSA-2005-523
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-23 19:21:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:523 normal SHIPPED_LIVE Critical: RealPlayer security update 2005-06-23 04:00:00 UTC

Description Josh Bressers 2005-06-08 18:10:58 UTC
This vulnerability involved a complex interaction between a maliciously created
SMIL file and specifically crafted web server caused a heap overflow in the
error message processing for RealText which could have allowed an attacker to
execute arbitrary code on a customer's machine.

Comment 2 Josh Bressers 2005-06-09 13:48:08 UTC
Can we get some packages built ASAP, this is a critical issue and we want to be
ready on day 0.

Additionally, I have a bug 159868 for RHEL3, I don't know if the RHEL4 binaries
will work properly.

Comment 3 John (J5) Palmieri 2005-06-10 15:23:25 UTC
Built and symlinked in dist-4E-lacd-errata-candidate

Comment 4 Josh Bressers 2005-06-23 18:58:40 UTC
Lifting embargo

Comment 5 Josh Bressers 2005-06-23 19:21:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-523.html



Note You need to log in before you can comment on or make changes to this bug.